# Method: properties.setAutomatedGa4ConfigurationOptOut

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/setAutomatedGa4ConfigurationOptOut#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/setAutomatedGa4ConfigurationOptOut#body.request_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/setAutomatedGa4ConfigurationOptOut#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/setAutomatedGa4ConfigurationOptOut#body.response_body)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/setAutomatedGa4ConfigurationOptOut#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/setAutomatedGa4ConfigurationOptOut#try-it)

Sets the opt out status for the automated GA4 setup process for a UA property. Note: this has no effect on GA4 property.

### HTTP request

`POST https://analyticsadmin.googleapis.com/v1alpha/properties:setAutomatedGa4ConfigurationOptOut`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "property": string, "optOut": boolean } ``` |

| Fields ||
|---|---|
| `property` | `string` Required. The UA property to set the opt out status. Note this request uses the internal property ID, not the tracking ID of the form UA-XXXXXX-YY. Format: properties/{internalWebPropertyId} Example: properties/1234 |
| `optOut` | `boolean` The status to set. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/analytics.edit`